Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225718 - Merge Review: eel2
Summary: Merge Review: eel2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:31 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-11 01:37:02 UTC
dakingun: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:31:49 UTC
Fedora Merge Review: eel2

http://cvs.fedora.redhat.com/viewcvs/devel/eel2/
Initial Owner: alexl@redhat.com

Comment 1 Deji Akingunola 2007-04-14 16:26:10 UTC
GOOD:
* Package name conforms to the Fedora Naming Guidelines
* Group and License tags properly in place
* Locales handled correctly
* All necessary BuildRequires listed.
* Package builds OK in Mock.
* Source matches upstream
md5sum: dd06a56773af79e4292e63c6bcca9449  eel-2.18.0.1.tar.bz2

NEEDSWORK:
* Source url not given in the spec
* eel2-devel should not own %{_libdir}/pkgconfig, the -devel %files section
should have /usr/lib/pkgconfig/eel-2.0.pc instead
* rpmlint warnings:
$ rpmlint eel2-2.18.0.1-3.fc7.src.rpm
W: eel2 mixed-use-of-spaces-and-tabs (spaces: line 17, tab: line 16)
$ rpmlint eel2-2.18.0.1-3.fc7.x86_64.rpm
W: eel2 spurious-executable-perm /usr/share/doc/eel2-2.18.0.1/COPYING
$ rpmlint eel2-devel-2.18.0.1-3.fc7.x86_64.rpm
W: eel2-devel no-documentation   (can be ignored!)

Minor nit:
$RPM_OPT_FLAGS already includes a '-g' option



Comment 2 Alexander Larsson 2007-04-23 12:41:43 UTC
Fixed in -5

Comment 3 Deji Akingunola 2007-05-07 04:54:45 UTC
I'm sorry I almost forgot about this.

All issues in comment #1 are now fixed; rpmlint is now silent on the srpm and
the binaries (except for the ignorable one), and all packaged files are properly
owned.

APPROVED

Comment 4 Matthias Clasen 2007-08-11 01:37:02 UTC
Review done.


Note You need to log in before you can comment on or make changes to this bug.